void printi(int val);

int main()
{
  unsigned int i, j, val, val2, val3;

  for (i = -2; (int)i < 3; i++)
    for (j = -2; (int)j < 3; j++) {
      val2 = i;
      val3 = j;
      val = ++val2, ++val3;
      printi(val);
      printi(val2);
      printi(val3);
      val2 = i;
      val3 = j;
      val = (++val2, ++val3);
      printi(val);
      printi(val2);
      printi(val3);
    }

  return 0;
}
